## USB Redirection Channel

USB Redirection Channel — usb redirection

## Stability Level

Stable, unless otherwise indicated

## Types and Values

struct | SpiceUsbredirChannel
struct | SpiceUsbredirChannelClass

## Object Hierarchy

        GObject
        ╰── SpiceChannel
            ╰── SpiceUsbredirChannel

## Includes

    #include <spice-client.h>

## Description

The Spice protocol defines a set of messages to redirect USB devices from the Spice client to the VM. This channel handles these messages.

## Functions

## Types and Values

### struct SpiceUsbredirChannel

    struct SpiceUsbredirChannel;

The SpiceUsbredirChannel struct is opaque and should not be accessed directly.

### struct SpiceUsbredirChannelClass

    struct SpiceUsbredirChannelClass {
        SpiceChannelClass parent_class;

        /* signals */
    };

Class structure for SpiceUsbredirChannel.

#### Members